package com.zhyc.module.feed.service;

import java.util.Date;
import java.util.List;
import com.zhyc.module.feed.domain.SgFeedPlan;

/**
 * 饲喂计划Service接口
 * 
 * @author HashMap
 * @date 2025-08-14
 */
public interface ISgFeedPlanService 
{
    /**
     * 查询饲喂计划
     * 
     * @param createDate 饲喂计划主键
     * @return 饲喂计划
     */
    public SgFeedPlan selectSgFeedPlanByCreateDate(Date createDate);

    /**
     * 查询饲喂计划列表
     * 
     * @param sgFeedPlan 饲喂计划
     * @return 饲喂计划集合
     */
    public List<SgFeedPlan> selectSgFeedPlanList(SgFeedPlan sgFeedPlan);

    /**
     * 新增饲喂计划
     * 
     * @param sgFeedPlan 饲喂计划
     * @return 结果
     */
    public int insertSgFeedPlan(SgFeedPlan sgFeedPlan);

    /**
     * 修改饲喂计划
     * 
     * @param sgFeedPlan 饲喂计划
     * @return 结果
     */
    public int updateSgFeedPlan(SgFeedPlan sgFeedPlan);

    /**
     * 批量删除饲喂计划
     * 
     * @param createDates 需要删除的饲喂计划主键集合
     * @return 结果
     */
    public int deleteSgFeedPlanByCreateDates(Date[] createDates);

    /**
     * 删除饲喂计划信息
     * 
     * @param createDate 饲喂计划主键
     * @return 结果
     */
    public int deleteSgFeedPlanByCreateDate(Date createDate);

    int getSheepCountByFoldId(Integer foldId);
}
